import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import { createVNode } from "inferno";
import { createElement } from 'inferno-create-element';
import classNames from 'classnames';
import { mapToCssModules } from '../utils';
var defaultProps = {
  tag: 'button',
  type: 'button'
};

var NavbarToggler = function NavbarToggler(props) {
  var className = props.className,
      cssModule = props.cssModule,
      children = props.children,
      Tag = props.tag,
      attributes = _objectWithoutProperties(props, ["className", "cssModule", "children", "tag"]);

  var classes = mapToCssModules(classNames(className, 'navbar-toggler'), cssModule);
  Object.assign(attributes, {
    className: classes
  });
  return createElement(Tag, attributes, children || createVNode(1, "span", mapToCssModules('navbar-toggler-icon', cssModule)));
};

NavbarToggler.defaultProps = defaultProps;
export default NavbarToggler;