import _objectSpread from "@babel/runtime/helpers/objectSpread";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import { createVNode, normalizeProps } from "inferno";
import classNames from 'classnames';
import { mapToCssModules } from './utils';
var defaultProps = {
  type: 'border',
  children: 'Loading...'
};

var Spinner = function Spinner(props) {
  var className = props.className,
      cssModule = props.cssModule,
      type = props.type,
      size = props.size,
      color = props.color,
      children = props.children,
      attributes = _objectWithoutProperties(props, ["className", "cssModule", "type", "size", "color", "children"]);

  var classes = mapToCssModules(classNames(className, size ? "spinner-".concat(type, "-").concat(size) : false, "spinner-".concat(type), color ? "text-".concat(color) : false), cssModule);
  return normalizeProps(createVNode(1, "div", classes, children && createVNode(1, "span", mapToCssModules('sr-only', cssModule), children, 0), 0, _objectSpread({
    "role": "status"
  }, attributes)));
};

Spinner.defaultProps = defaultProps;
export default Spinner;