import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import classNames from 'classnames';
import { createElement } from 'inferno-create-element';
import { mapToCssModules, omit } from './utils';
var defaultProps = {
  tag: 'div'
};

var Container = function Container(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      fluid = props.fluid,
      Tag = props.tag,
      attributes = _objectWithoutProperties(props, ["children", "className", "cssModule", "fluid", "tag"]);

  var classes = mapToCssModules(classNames(className, fluid ? 'container-fluid' : 'container'), cssModule);
  Object.assign(attributes, {
    className: classes
  });
  return createElement(Tag, attributes, children);
};

Container.defaultProps = defaultProps;
export default Container;