import _objectSpread from "@babel/runtime/helpers/objectSpread";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import { createComponentVNode, normalizeProps } from "inferno";
import classNames from 'classnames';
import { mapToCssModules } from '../utils';
import Dropdown from '../Dropdown';
var defaultProps = {
  tag: 'li'
};

var NavDropdown = function NavDropdown(props) {
  var className = props.className,
      cssModule = props.cssModule,
      Tag = props.tag,
      attributes = _objectWithoutProperties(props, ["className", "cssModule", "tag"]);

  var classes = mapToCssModules(classNames(className, 'nav-item'), cssModule);
  return normalizeProps(createComponentVNode(2, Dropdown, _objectSpread({}, attributes, {
    "tag": Tag,
    "className": classes
  })));
};

NavDropdown.defaultProps = defaultProps;
export default NavDropdown;